From f1872c227d1029468f81eef8964acec143270a85 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Mon, 24 Oct 2022 18:32:26 +1100
Subject: [PATCH v1] Logical replication GUCs - added some docs xrefs

---
 doc/src/sgml/config.sgml | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 6c64933..10a9e21 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -4234,6 +4234,12 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
          not <link linkend="catalog-pg-replication-origin">pg_replication_origin</link>)
          will prevent the server from starting.
         </para>
+
+        <para>
+         See <xref linkend="logical-replication-config"/> for more details
+         about setting <varname>max_replication_slots</varname> for logical
+         replication.
+        </para>
        </listitem>
       </varlistentry>
 
@@ -4952,7 +4958,8 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        </para>
        <para>
         Logical replication workers are taken from the pool defined by
-        <varname>max_worker_processes</varname>.
+        <varname>max_worker_processes</varname>. See
+        <xref linkend="logical-replication-config"/> for more details.
        </para>
        <para>
         The default value is 4. This parameter can only be set at server
@@ -4978,7 +4985,8 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        </para>
        <para>
         The synchronization workers are taken from the pool defined by
-        <varname>max_logical_replication_workers</varname>.
+        <varname>max_logical_replication_workers</varname>. See
+        <xref linkend="logical-replication-config"/> for more details.
        </para>
        <para>
         The default value is 2. This parameter can only be set in the
-- 
1.8.3.1

